Package org.eclipse.cdt.core.settings.model

# Class MultiLanguageSetting

java.lang.Object
org.eclipse.cdt.core.settings.model.MultiItemsHolder
org.eclipse.cdt.core.settings.model.MultiLanguageSetting

All Implemented Interfaces:
  `ICLanguageSetting`, `ICMultiItemsHolder`, `ICSettingBase`, `ICSettingObject`

public class MultiLanguageSetting extends MultiItemsHolder implements ICLanguageSetting
This class is intended to hold "similar" Language Setting objects. Normally, they should have the same name.

## Field Summary

### Fields inherited from class org.eclipse.cdt.core.settings.model.MultiItemsHolder

`DEBUG`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICMultiItemsHolder

`EMPTY_STR`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Constructor Summary

Constructors
Constructor
Description
`MultiLanguageSetting(List<ICLanguageSetting> data, ICConfigurationDescription cf)`

## Method Summary

Modifier and Type
Method
Description
`ICConfigurationDescription`
`getConfiguration()`
`String`
`getId()`
`Object[]`
`getItems()`
`String`
`getLanguageId()`
`String`
`getName()`
`ICSettingContainer`
`getParent()`
`ICLanguageSettingEntry[]`
`getResolvedSettingEntries(int kind)`
`ICLanguageSettingEntry[]`
`getSettingEntries(int kind)`
`List<ICLanguageSettingEntry>`
`getSettingEntriesList(int kind)`
`ICLanguageSettingEntry[][]`
`getSettingEntriesM(int kind)`
`String[]`
`getSourceContentTypeIds()`
`String[][]`
`getSourceContentTypeIdsM()`
`String[]`
`getSourceExtensions()`
`String[][]`
`getSourceExtensionsM()`
`int`
`getSupportedEntryKinds()`
`int`
`getType()`
`boolean`
`isReadOnly()`
`boolean`
`isValid()`
`void`
`setLanguageId(String id)`
`void`
`setSettingEntries(int kind, List<ICLanguageSettingEntry> entriesList)`
`void`
`setSettingEntries(int kind, ICLanguageSettingEntry[] entries)`
`void`
`setSourceContentTypeIds(String[] ids)`
`void`
`setSourceExtensions(String[] exts)`
`boolean`
`supportsEntryKind(int kind)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.MultiItemsHolder

`createCDescription, createRDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiLanguageSetting

public MultiLanguageSetting(List<ICLanguageSetting> data, ICConfigurationDescription cf)

## Method Details

### getLanguageId

public String getLanguageId()

Specified by:
  `getLanguageId` in interface `ICLanguageSetting`
Returns:
  language id. Note that that id can be `null`.

### getSettingEntriesM

public ICLanguageSettingEntry[][] getSettingEntriesM(int kind)

### getSettingEntriesList

public List<ICLanguageSettingEntry> getSettingEntriesList(int kind)

Specified by:
  `getSettingEntriesList` in interface `ICLanguageSetting`

### getSourceContentTypeIdsM

public String[][] getSourceContentTypeIdsM()

### getSourceExtensionsM

public String[][] getSourceExtensionsM()

### getSupportedEntryKinds

public int getSupportedEntryKinds()

Specified by:
  `getSupportedEntryKinds` in interface `ICLanguageSetting`

### setLanguageId

public void setLanguageId(String id)

Specified by:
  `setLanguageId` in interface `ICLanguageSetting`

### setSettingEntries

public void setSettingEntries(int kind, ICLanguageSettingEntry[] entries)

Specified by:
  `setSettingEntries` in interface `ICLanguageSetting`

### setSettingEntries

public void setSettingEntries(int kind, List<ICLanguageSettingEntry> entriesList)

Specified by:
  `setSettingEntries` in interface `ICLanguageSetting`

### setSourceContentTypeIds

public void setSourceContentTypeIds(String[] ids)

Specified by:
  `setSourceContentTypeIds` in interface `ICLanguageSetting`

### setSourceExtensions

public void setSourceExtensions(String[] exts)

Specified by:
  `setSourceExtensions` in interface `ICLanguageSetting`

### supportsEntryKind

public boolean supportsEntryKind(int kind)

Specified by:
  `supportsEntryKind` in interface `ICLanguageSetting`

### getConfiguration

public ICConfigurationDescription getConfiguration()

Specified by:
  `getConfiguration` in interface `ICSettingObject`
Returns:
  the configuration description this object belongs to

### getId

public String getId()

Specified by:
  `getId` in interface `ICSettingObject`
Returns:
  the unique id of this element

### getName

public String getName()

Specified by:
  `getName` in interface `ICSettingObject`
Returns:
  the name of this element

### getParent

public ICSettingContainer getParent()

Specified by:
  `getParent` in interface `ICSettingObject`
Returns:
  the object parent

### getType

public int getType()

Specified by:
  `getType` in interface `ICSettingObject`
Returns:
  constant representing the setting type can be one of the following: `ICSettingBase.SETTING_PROJECT` `ICSettingBase.SETTING_CONFIGURATION` `ICSettingBase.SETTING_FOLDER` `ICSettingBase.SETTING_FILE` `ICSettingBase.SETTING_LANGUAGE` `ICSettingBase.SETTING_TARGET_PLATFORM` `ICSettingBase.SETTING_BUILD`

### isReadOnly

public boolean isReadOnly()

Specified by:
  `isReadOnly` in interface `ICSettingObject`
Returns:
  true if the object is read-only, false - otherwise

### isValid

public boolean isValid()

Specified by:
  `isValid` in interface `ICSettingObject`
Returns:
  true if the given object is valid, false - otherwise the object can be invalid, e.g. in case it was removed

### getItems

public Object[] getItems()

Specified by:
  `getItems` in interface `ICMultiItemsHolder`
Specified by:
  `getItems` in class `MultiItemsHolder`
Returns:
  array of items which it holds

### getResolvedSettingEntries

public ICLanguageSettingEntry[] getResolvedSettingEntries(int kind)

Specified by:
  `getResolvedSettingEntries` in interface `ICLanguageSetting`

### getSettingEntries

public ICLanguageSettingEntry[] getSettingEntries(int kind)

Specified by:
  `getSettingEntries` in interface `ICLanguageSetting`

### getSourceContentTypeIds

public String[] getSourceContentTypeIds()

Specified by:
  `getSourceContentTypeIds` in interface `ICLanguageSetting`

### getSourceExtensions

public String[] getSourceExtensions()

Specified by:
  `getSourceExtensions` in interface `ICLanguageSetting`